Skip to navigation

Update Reaction

Beta

Archive or unarchive a reaction.

Set archived to true (with an optional archiveReason) to archive a reaction, or false to unarchive it. Editing a submitted reaction’s name, components, or folder is not supported through the API.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

reaction_idstringRequired
ID of the Reaction.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Request

This endpoint expects an object.
archiveReasonstringOptional
archivedbooleanOptional

Response

OK
__typenamestringOptional
archiveReasonstring or nullOptional
archivedbooleanOptional
authorsstring or nullOptionalformat: "uri"
componentslist of objectsOptional
createdAtstring or nullOptional
creatorobjectOptional
entryobject or nullOptional
folderobjectOptional
idstringOptional
modifiedAtstring or nullOptional
namestringOptional
webUrlstringOptional

Errors

400
Reaction Update Request Bad Request Error
403
Reaction Update Request Forbidden Error
404
Reaction Update Request Not Found Error
409
Reaction Update Request Conflict Error
429
Reaction Update Request Too Many Requests Error
500
Reaction Update Request Internal Server Error